### Method

# Gio Application get_application_id

since: 2.28

#### Declaration [src]

    const gchar*
    g_application_get_application_id (
      GApplication* application
    )

#### Description [src]

Gets the unique identifier for `application`.

Available since: 2.28

Gets property | `Gio.Application:application-id`

#### Return value

Type: `const gchar*`

The identifier for `application`, owned by `application`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.